<?php
/*
Plugin - PlogBirthdays
Copyright (C) 2005 Matthew Wood
                                                                                
This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.
*/


include_once(PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php");
include_once(PLOG_CLASS_PATH.
    "class/data/pager/pager.class.php");
include_once(PLOG_CLASS_PATH.
    "plugins/plogbirthdays/class/dao/plogbirthdays.class.php");
include_once(PLOG_CLASS_PATH.
    "class/view/admin/adminplugintemplatedview.class.php");

class AdminPlogBirthdaysNewEntryViewAction extends SiteAdminAction
{
  function perform()
  {
    $this->_view = new AdminPluginTemplatedView(
        $this->_blogInfo,"plogbirthdays","adminnewentry");
    $this->setCommonData();
  }
}

/* vim:sw=2:cin:ai:expandtab:
*/
?>
